## loci.formats
Class JPEGWriter

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatWriter
              loci.formats.JPEGWriter

public class JPEGWriter
extends FormatWriter

JPEGWriter is the file format writer for JPEG files.

Field Summary

Fields inherited from class loci.formats.FormatWriter
`fps`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`JPEGWriter()`

Method Summary
`static void` `main(String[] args)`
`void` `save(String id, Image image, boolean last)` Saves the given image to the specified (possibly already open) file.

Methods inherited from class loci.formats.FormatWriter
`getFramesPerSecond, save, setFramesPerSecond, testConvert`

Methods inherited from class loci.formats.FormatHandler
`createFilters, getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPEGWriter

    public JPEGWriter()

Method Detail

### save

    public void save(String id,
                     Image image,
                     boolean last)
              throws FormatException,
                     IOException

  Saves the given image to the specified (possibly already open) file. The last flag is ignored, since this writer produces single-image JPEGs.

  Specified by:
    `save` in class `FormatWriter`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`